/* app-window.h
 *
 */


#ifndef HAVE_APP_WINDOW_H
#define HAVE_APP_WINDOW_H


enum {
    COLUMN_CATEGORY_DATA = 0,
    COLUMN_CATEGORY_TITLE,
    CATEGORIES_N_COLUMNS
};


enum {
    COLUMN_CARD_DATA = 0,
    COLUMN_CARD_FRONT,
    COLUMN_CARD_BACK,
    COLUMN_CARD_GROUP,
    COLUMN_CARD_CREATED,
    COLUMN_CARD_TESTED,
    COLUMN_CARD_EXPIRED,
    COLUMN_CARD_EXPIRY,
    CARDS_N_COLUMNS
};


void        app_window (Ignuit *ig);

void        app_window_refresh_card_view (GtkTreeView *treev,
                GtkListStore *ls, GList *cards);

GList*      app_window_find_card_iter (GtkTreeView *treev,
                GtkTreeIter *iter, GList *search);

void        app_window_set_card_iter (GtkTreeView *treev,
                GtkListStore *ls, GtkTreeIter *iter, GList *item);

void        app_window_add_card_iter (GtkTreeView *treev,
                GtkListStore *ls, GtkTreeIter *iter, GList *item);

void        app_window_refresh_card_iter (GtkTreeView *treev,
                GtkListStore *ls, GList *item);

gboolean    app_window_select_card (GtkTreeView *treev, GList *item);

void        app_window_update_category_root_title (GtkTreeView *treev,
                GtkTreeStore *ts, const gchar *title);

gboolean  ask_yes_or_no (GtkWindow *parent, const gchar *question,
                GtkResponseType def);


#endif /* HAVE_APP_WINDOW_H */

